astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- VOTable XML handling (`astropy.io.votable`) »
- ParamRef

# ParamRef

class `astropy.io.votable.tree.``ParamRef`

  Bases: `astropy.io.votable.tree.SimpleElement`, `astropy.io.votable.tree._UtypeProperty`, `astropy.io.votable.tree._UcdProperty`

  PARAMref element: used inside of GROUP elements to refer to remote PARAM elements.

  The keyword arguments correspond to setting members of the same name, documented below.

  It contains the following publicly-accessible members:

  > ref: An XML ID referring to a <PARAM> element.

  Attributes Summary

  `ref` | The ID of the PARAM that this PARAMref references.

  Methods Summary

  `get_ref`() | Lookup the `Param` instance that this :class:`PARAMref` references.

  Attributes Documentation

  `ref`

    The ID of the PARAM that this PARAMref references.

  Methods Documentation

  `get_ref`()

    Lookup the `Param` instance that this :class:`PARAMref` references.